Page MenuHomePhabricator

1.36.0-wmf.13 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.36.0-wmf.13
Release Date
Mon, Oct 12, 12:00 AM
Backup Conductor
jeena

2020 week 42 1.36-wmf.13 Changes wmf/1.36.0-wmf.13

This MediaWiki Train Deployment is scheduled for the week of Monday, October 12th:

Monday October 12thTuesday, October 13thWednesday, October 14thThursday, October 15thFriday
Backports only.Branch wmf.13 and deploy to Group 0 Wikis.Deploy wmf.13 to Group 1 Wikis.Deploy wmf.13 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.13 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.36.0-wmf.12
Next: 1.36.0-wmf.14

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2020, 7:29 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: jeena.
hashar removed a subscriber: hashar.Thu, Oct 8, 9:22 PM

Change 633598 had a related patch set uploaded (by DannyS712; owner: trainbranchbot):
[mediawiki/core@wmf/1.36.0-wmf.13] Branch commit for wmf/1.36.0-wmf.13

https://gerrit.wikimedia.org/r/633598

Per https://wikitech.wikimedia.org/wiki/Deployments, 8 hours from now 1.36.0-wmf.13 will be deployed to group 0. But, T263177: 1.36.0-wmf.11 deployment blockers hasn't been reattempted yet, and everything is currently on wmf.10. Is there a plan for rolling out .11 and then .13, or are we going straight to .13?

Per https://wikitech.wikimedia.org/wiki/Deployments, 8 hours from now 1.36.0-wmf.13 will be deployed to group 0. But, T263177: 1.36.0-wmf.11 deployment blockers hasn't been reattempted yet, and everything is currently on wmf.10. Is there a plan for rolling out .11 and then .13, or are we going straight to .13?

The tentative plan is to roll out wmf.11 first and reassess from there.

Change 633598 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.13] Branch commit for wmf/1.36.0-wmf.13

https://gerrit.wikimedia.org/r/633598

Mentioned in SAL (#wikimedia-operations) [2020-10-13T20:06:36Z] <marxarelli> 1.36.0-wmf.13 promoted to group0. no new or concerning errors or changes in error rates (T263179)

Mentioned in SAL (#wikimedia-operations) [2020-10-14T19:46:48Z] <marxarelli> 1.36.0-wmf.13 promoted to group1. no new or concerning errors or changes in error rates (T263179)

Mentioned in SAL (#wikimedia-operations) [2020-10-14T20:39:28Z] <marxarelli> group1 rolled back to 1.36.0-wmf.11 due to malformed html in nav. task incoming (cc: T263179)

DannyS712 added a comment.EditedThu, Oct 15, 5:50 AM

Filed T265563: Special:AbuseLog search by user missing some entries but I don't think that is a train blocker since it occurs on wikis currently at .11 as well (unless .11 is still accepting train blockers?)

Mentioned in SAL (#wikimedia-operations) [2020-10-15T19:43:10Z] <marxarelli> all wikis promoted to 1.36.0-wmf.13 (T263179)

dduvall closed this task as Resolved.Fri, Oct 16, 5:11 PM